---
- name: Include OS specific setup tasks
  ansible.builtin.include_tasks: "{{ tasks }}"
  with_first_found:
    - "tasks/setup-{{ ansible_facts['distribution'] | lower }}.yml"
    - "tasks/setup-{{ ansible_facts['os_family'] | lower }}.yml"
  loop_control:
    loop_var: tasks
